Skip to main content

Place Plan Order

Place a new trigger order (plan order) that executes when the trigger price is reached.

HTTP Request

POST /api/v1/future/order/place-plan-order

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
marginModestringYesMargin mode: "CROSSED" or "ISOLATED"
sizestringYesOrder size
sidestringYesPosition side: "LONG" or "SHORT"
triggerPricestringYesTrigger price
triggerPriceTypestringYesTrigger price type: "LAST" or "MARK"
pricestringNoOrder price (required for LIMIT orders)
clientOidstringNoClient order ID
presetTakeProfitPricestringNoTake profit trigger price
presetStopLossPricestringNoStop loss trigger price
presetTakeProfitExecutePricestringNoTake profit execution price
presetStopLossExecutePricestringNoStop loss execution price

Request Example

curl -X POST "https://open-api.bydoxe.com/api/v1/future/order/place-plan-order" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json" \
-d '{
"symbol": "BTCUSDT",
"marginMode": "CROSSED",
"size": "0.5",
"side": "LONG",
"triggerPrice": "39000.00",
"triggerPriceType": "MARK",
"price": "38900.00",
"clientOid": "my-plan-order-001",
"presetTakeProfitPrice": "42000.00",
"presetStopLossPrice": "37000.00",
"presetTakeProfitExecutePrice": "42000.00",
"presetStopLossExecutePrice": "37000.00"
}'

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectOrder response data
> orderIdstringCreated order ID
> clientOidstringClient order ID

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"orderId": "fu-plan-123456789",
"clientOid": "my-plan-order-001"
}
}

Error Codes

CodeMessage
40034symbol does not exist
40001Custom ID already exists
40001Already ordering
40001A different margin mode is not available than the position currently opened.
40001Open Size is too large
40001Open Size is too small
40001Open Size decimal precision is too high
40001Order price is required
40001Order price decimal precision is too high
40001Trigger price is required
40001Trigger price decimal precision is too high
40001Insufficient balance
40020Take Profit price decimal precision is too high
40021Take Profit execute price decimal precision is too high
40022Stop Loss price decimal precision is too high
40023Stop Loss execute price decimal precision is too high